# Signals

The following signals are used to signal sockd:

## SIGHUP

Causes sockd to re-read the configuration file. If the new configuration file fails to parse, the previous configuration remains intact.

## SIGINT

Indicates that the log file has moved, and sockd should reopen its log file. At some point, this will include rewriting the startup lines for all open connections.

## SIGIOT

Indicates that sockd should no longer listen for new connections. The listen socket is closed (meaning that a new daemon can be launched.)

## SIGTERM

Close all connections and terminate.

## SIGUSR1

Dump client information.
XXX - not implemented

## SIGUSR2

Dump configuration. This is done in a format that can be fed back in as a configuration file, albeit not identical to the one that was read.